Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.swing
Class Resources

    java.lang.Object
      org.apache.batik.ext.swing.Resources

    public class Resources

extends Object

This class manages the message for the Swing extensions.

Field Summary
`protected static LocalizableSupport` | `localizableSupport` The localizable support for the error messages.
`protected static ResourceManager` | `resourceManager` The resource manager to decode messages.
`protected static String` | `RESOURCES` The error messages bundle class name.

Constructor Summary
`protected` | `Resources()` This class does not need to be instantiated.

Method Summary
`static String` | `formatMessage(String key, Object[] args)` Implements `Localizable.formatMessage(String,Object[])`.
`static int` | `getInteger(String key)`
`static Locale` | `getLocale()` Implements `Localizable.getLocale()`.
`static String` | `getString(String key)`
`static void` | `setLocale(Locale l)` Implements `Localizable.setLocale(Locale)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCES

    protected static final String RESOURCES

  The error messages bundle class name.

  See Also:
    Constant Field Values

### localizableSupport

    protected static LocalizableSupport localizableSupport

  The localizable support for the error messages.

### resourceManager

    protected static ResourceManager resourceManager

  The resource manager to decode messages.

Constructor Detail

### Resources

    protected Resources()

  This class does not need to be instantiated.

Method Detail

### setLocale

    public static void setLocale(Locale l)

  Implements `Localizable.setLocale(Locale)`.

### getLocale

    public static Locale getLocale()

  Implements `Localizable.getLocale()`.

### formatMessage

    public static String formatMessage(String key,
                                       Object[] args)
                                throws MissingResourceException

  Implements `Localizable.formatMessage(String,Object[])`.

  Throws:
    `MissingResourceException`

### getString

    public static String getString(String key)
                            throws MissingResourceException

  Throws:
    `MissingResourceException`

### getInteger

    public static int getInteger(String key)
                          throws MissingResourceException

  Throws:
    `MissingResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.